%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define _binaries_in_noarch_packages_terminate_build 0

Name: insights-coordinator-ocp
Version: 1.1.1
Release: 3%{?dist}
Summary: OpenShift Insights Client Coordinator
Source0: %{name}-%{version}.tar.gz
License: GPLv2
Group: Applications/System
BuildArch: noarch
Vendor: Red Hat, Inc.
URL: https://access.redhat.com/insights

Requires: python
Requires: tar
Requires: insights-client >= 2.0.5-12
BuildRequires: python,python-setuptools

%description
OpenShift Insights Client Coordinator

%prep
%setup -q

%install
rm -rf ${RPM_BUILD_ROOT}
$(which python) setup.py install --root=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python_sitelib}/insights_coordinator_ocp*.egg-info
%{python_sitelib}/insights_coordinator_ocp/*.py*
%config(noreplace) /etc/insights-client/*.conf
/etc/insights-client/insights-coordinator-ocp.cron
/usr/bin/insights-coordinator-ocp
/var/lib/redhat-insights/insights.yml
/var/lib/redhat-insights/ocp-nodes

%doc
/usr/share/man/man8/*.8.gz
/usr/share/man/man5/*.5.gz
